# VeilMail: Your Go-To CLI Temporary Email Client

🚀 VeilMail is a sleek, command-line email client tailored for handling temporary emails with ease, utilizing the 1secmail API.

![Build Status](https://img.shields.io/badge/build-passing-brightgreen.svg)
![Version](https://img.shields.io/badge/version-1.0.0-blue.svg)
![License](https://img.shields.io/badge/license-MIT-green.svg)

## Welcome to VeilMail 🌟

The ultimate command-line solution for managing temporary emails with speed and simplicity. VeilMail harnesses the power of the 1secmail API, delivering an intuitive and efficient email experience right in your terminal.

## Key Features

- 📩 Instant Temporary Email Generation
- 📥 Easy Inbox Management
- 🖥️ Pure CLI Interface
- 📑 Support for Custom Usernames
- ✂️ Clipboard Integration for Quick Access
- 📖 HTML to Text Email Conversion
- 🌐 Fetch and View Email Contents
- 🎨 Rich Text Formatting with 'rich' Library

## Installation

You can install VeilMail either by cloning the repository or using pip:

### Option 1: Cloning the Repository

1. Clone the repository: `git clone https://github.com/zadeson/veilmail.git`
2. Navigate to the project directory: `cd veilmail`
3. Install dependencies: `pip install -r requirements.txt`
4. Cd into the directory: `cd veilmail`
5. Run the application: `python main.py`

### Option 2: Installing via Pip

1. Run `pip install git+https://github.com/zadeson/veilmail.git`
2. Start VeilMail with `veilmail` command in your terminal

## Usage

Run `python veilmail.py` (or just `veilmail` if installed via pip) and follow the interactive prompts.

## How it Works

VeilMail operates through a series of straightforward CLI commands, providing a user-friendly interface to interact with your temporary email inbox. From fetching active domains, creating random or custom email addresses, to reading emails in a neatly formatted console - VeilMail does it all with ease.

## Contributing

Contributions are what make the open-source community such an amazing place to learn, inspire, and create. Any contributions you make are **greatly appreciated**.

1. Fork the Project
2. Create your Feature Branch (`git checkout -b feature/AmazingFeature`)
3. Commit your Changes (`git commit -m 'Add some AmazingFeature'`)
4. Push to the Branch (`git push origin feature/AmazingFeature`)
5. Open a Pull Request

## License

Distributed under the MIT License. See `LICENSE` for more information.

## Contact
Ethen Dixon - ethendixon@outlook.com

Project Link: [https://github.com/Zadeson/veilmail](https://github.com/Zadeson/veilmail)
